OpenCV: cv::v_reg< _Tp, n > Struct Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::v_reg< _Tp, n > Struct Template Reference
Core functionality » Hardware Acceleration Layer » Universal intrinsics

`#include "intrin_cpp.hpp"`

## Public Member Functions
| v_reg (const _Tp *ptr)
| Constructor. More...
| v_reg (_Tp s0, _Tp s1)
| Constructor. More...
| v_reg (_Tp s0, _Tp s1, _Tp s2, _Tp s3)
| Constructor. More...
| v_reg (_Tp s0, _Tp s1, _Tp s2, _Tp s3, _Tp s4, _Tp s5, _Tp s6, _Tp s7)
| Constructor. More...
| v_reg (_Tp s0, _Tp s1, _Tp s2, _Tp s3, _Tp s4, _Tp s5, _Tp s6, _Tp s7, _Tp s8, _Tp s9, _Tp s10, _Tp s11, _Tp s12, _Tp s13, _Tp s14, _Tp s15)
| Constructor. More...
| v_reg ()
| Default constructor. More...
| v_reg (const v_reg< _Tp, n > &r)
| Copy constructor. More...
_Tp | get0 () const
| Access first value. More...

## Constructor & Destructor Documentation

## ◆ v_reg() [1/7]

template<typename _Tp, int n>

cv::v_reg< _Tp, n >::v_reg | ( | const _Tp * | ptr | ) |
| inlineexplicit

Constructor.

Initializes register with data from memory

Parameters

  ptr | pointer to memory block with data for register

## ◆ v_reg() [2/7]

template<typename _Tp, int n>

cv::v_reg< _Tp, n >::v_reg | ( | _Tp | s0,
|  | _Tp | s1
| ) |  |
| inline

Constructor.

Initializes register with two 64-bit values

## ◆ v_reg() [3/7]

template<typename _Tp, int n>

cv::v_reg< _Tp, n >::v_reg | ( | _Tp | s0,
|  | _Tp | s1,
|  | _Tp | s2,
|  | _Tp | s3
| ) |  |
| inline

Constructor.

Initializes register with four 32-bit values

## ◆ v_reg() [4/7]

template<typename _Tp, int n>

cv::v_reg< _Tp, n >::v_reg | ( | _Tp | s0,
|  | _Tp | s1,
|  | _Tp | s2,
|  | _Tp | s3,
|  | _Tp | s4,
|  | _Tp | s5,
|  | _Tp | s6,
|  | _Tp | s7
| ) |  |
| inline

Constructor.

Initializes register with eight 16-bit values

## ◆ v_reg() [5/7]

template<typename _Tp, int n>

cv::v_reg< _Tp, n >::v_reg | ( | _Tp | s0,
|  | _Tp | s1,
|  | _Tp | s2,
|  | _Tp | s3,
|  | _Tp | s4,
|  | _Tp | s5,
|  | _Tp | s6,
|  | _Tp | s7,
|  | _Tp | s8,
|  | _Tp | s9,
|  | _Tp | s10,
|  | _Tp | s11,
|  | _Tp | s12,
|  | _Tp | s13,
|  | _Tp | s14,
|  | _Tp | s15
| ) |  |
| inline

Constructor.

Initializes register with sixteen 8-bit values

## ◆ v_reg() [6/7]

template<typename _Tp, int n>

cv::v_reg< _Tp, n >::v_reg | ( |  | ) |
| inline

Default constructor.

Does not initialize anything

## ◆ v_reg() [7/7]

template<typename _Tp, int n>

cv::v_reg< _Tp, n >::v_reg | ( | const v_reg< _Tp, n > & | r | ) |
| inline

Copy constructor.

## Member Function Documentation

## ◆ get0()

template<typename _Tp, int n>

_Tp cv::v_reg< _Tp, n >::get0 | ( |  | ) | const
| inline

Access first value.

Returns value of the first lane according to register type, for example:

v_int32x4 r(1, 2, 3, 4);
int v = r.get0(); // returns 1
v_uint64x2 r(1, 2);
uint64_t v = r.get0(); // returns 1

The documentation for this struct was generated from the following file:

- core/include/opencv2/core/hal/intrin_cpp.hpp